## keyman-config 14.0.287

=== Makefile ===
#!/usr/bin/make

default: clean version man
	python3 setup.py build

install: # run as sudo
	pip3 install qrcode sentry-sdk
	python3 setup.py install
	# install icons
	mkdir -p /usr/local/share/keyman/icons
	cp keyman_config/icons/* /usr/local/share/keyman/icons
	# install man pages
	mkdir -p /usr/local/share/man/man1
	cp debian/man/*.1 /usr/local/share/man/man1

install-temp:
	mkdir -p /tmp/kmfl/`python3 -c 'import sys;import os;pythonver="python%d.%d" % (sys.version_info[0], sys.version_info[1]);sitedir = os.path.join("lib", pythonver, "site-packages");print(sitedir)'`
	PYTHONUSERBASE=/tmp/kmfl python3 setup.py install --user

uninstall: clean # run as sudo
	rm -rf /usr/local/share/keyman/icons
	rm -f /usr/local/share/man/man1/km-*.1
	pip3 uninstall keyman_config
	rm -f /usr/local/bin/km-config
	rm -f /usr/local/bin/km-kvk2ldml
	rm -f /usr/local/bin/km-package-get
	rm -f /usr/local/bin/km-package-install
	rm -f /usr/local/bin/km-package-list-installed
	rm -f /usr/local/bin/km-package-uninstall

clean:
	-rm -rf dist make_deb build keyman_config/version.py *.egg-info __pycache__ \
		keyman_config/standards/lang_tags_map.py

devdist: version
	python3 setup.py egg_info -b.`TZ=UTC git log -1 --pretty=format:%cd --date=format-local:%Y%m%d%H%M` sdist

dist: clean version
	python3 setup.py sdist

deb: dist
	@VERSION=$(shell echo `basename dist/*.gz .tar.gz|cut -d "-" -f2` > /tmp/keyman_version)
	@echo VERSION is $(shell cat /tmp/keyman_version)
	@mkdir -p make_deb
	cd make_deb && tar xf ../dist/keyman_config-$(shell cat /tmp/keyman_version).tar.gz && \
		mv keyman_config-$(shell cat /tmp/keyman_version) keyman-config-$(shell cat /tmp/keyman_version) && \
		tar cfz keyman-config_$(shell cat /tmp/keyman_version).orig.tar.gz keyman-config-$(shell cat /tmp/keyman_version) && \
		cd keyman-config-$(shell cat /tmp/keyman_version) && cp -a ../../debian . && dch -v$(shell cat /tmp/keyman_version)-1 ""
	cd make_deb/keyman-config-$(shell cat /tmp/keyman_version) && debuild -us -uc
	rm /tmp/keyman_version

man:
	mkdir -p debian/man
	help2man -N ./km-package-get -o debian/man/km-package-get.1 -n "Download a Keyman keyboard package" -I maninc/km-package-get.inc
	help2man -N ./km-package-install -o debian/man/km-package-install.1 -n "Install a Keyman keyboard package" -I maninc/km-package-install.inc
	help2man -N ./km-config -o debian/man/km-config.1 -n "Keyman keyboards installation and information" -I maninc/km-config.inc
	help2man -N ./km-kvk2ldml -o debian/man/km-kvk2ldml.1 -n "Convert a Keyman on-screen keyboard file to LDML" -I maninc/km-kvk2ldml.inc
	help2man -N ./km-package-list-installed -o debian/man/km-package-list-installed.1 -n "List installed Keyman keyboard packages" -I maninc/km-package-list-installed.inc
	help2man -N ./km-package-uninstall -o debian/man/km-package-uninstall.1 -n "Uninstall a Keyman keyboard package" -I maninc/km-package-uninstall.inc

version:
	cd .. && ./scripts/reconf.sh keyman-config
	$(eval VERSION := $(shell python3 -c "from keyman_config import __releaseversion__; print(__releaseversion__)"))

# i18n

POFILES := $(shell find locale -name \*.po)
MOFILES := $(POFILES:.po=/LC_MESSAGES/keyman-config.mo)

update-template: version
	xgettext --package-name "keyman" --package-version "$(VERSION)" \
		--msgid-bugs-address "<support@keyman.com>" --copyright-holder "SIL International" \
		--language=Python --directory=. --output-dir=locale --output=keyman-config.pot \
		--add-comments=i18n: --sort-by-file --width=98 \
		keyman_config/*.py km-*

update-po: $(POFILES)

locale/%.po: locale/keyman-config.pot
	msgmerge --update --width=98 $@ $^

$(MOFILES): %/LC_MESSAGES/keyman-config.mo: %.po
	mkdir -p $(dir $@)
	msgfmt -v --check --output-file=$@ $^

compile-po: $(MOFILES)

## keyman-config 11.0.103

=== debian/changelog ===
keyman-config (11.0.103-2) unstable; urgency=medium

  * add appstream file com.keyman.config.appdata.xml

 -- Daniel Glassey <wdg@debian.org>  Tue, 15 Jan 2019 17:15:09 +0700

keyman-config (11.0.103-1) unstable; urgency=medium

  * New upstream beta
  * fix download window problem
  * d/keyman.install icons for km-config application and .kmp files
       fixes appstream hints error reported on tracker
  * add d/keyman.sharedmimeinfo for .kmp files

 -- Daniel Glassey <wdg@debian.org>  Fri, 04 Jan 2019 15:39:51 +0700

keyman-config (11.0.101-1) unstable; urgency=medium

  * New upstream Keyman for Linux 11.0 beta 1
  * d/control standards 4.3.0 no changes
  * remove d/p missing_files.patch as files are in next upstream
  * d/watch update for beta/stable

 -- Daniel Glassey <wdg@debian.org>  Fri, 04 Jan 2019 01:26:45 +0700

keyman-config (10.99.69-2) unstable; urgency=medium

  * d/p/missing_files.patch: files missing from released source

 -- Daniel Glassey <wdg@debian.org>  Sat, 22 Dec 2018 21:56:13 +0700

keyman-config (10.99.69-1) unstable; urgency=medium

  * New upstream pre-release
  * Linux part of website is active to get keyboards for Linux
      in download window
  * uses website search API to find list of keyboards for
      bash completion in cl tools
  * installs keyboards into IBus when you install them
  * d/control change to section utils, Closes: #916350
  * remove webkit->webkit2 patch merged upstream

 -- Daniel Glassey <wdg@debian.org>  Thu, 20 Dec 2018 09:44:44 +0700

keyman-config (10.99.33-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5
    * and updated
  * Initial upload to Debian, Closes: #914781
  * d/patches patch from upstream git to move to WebKit2

 -- Daniel Glassey <wdg@debian.org>  Tue, 27 Nov 2018 15:56:13 +0700

=== debian/control ===
Source: keyman-config
Maintainer: Daniel Glassey <wdg@debian.org>
Section: utils
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 11~), bash-completion
Standards-Version: 4.3.0
Homepage: http://www.keyman.com/

Package: python3-keyman-config
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, gir1.2-webkit2-4.0,
 kmflcomp (>=10.99.33), dconf-cli, ibus-kmfl (>=10.99.33), python3-bs4
Description: Keyman for Linux configuration
 Python module to install, uninstall and view information about Keyman keyboard
 packages.
 .
 It is available for other programs to use or adapt for their own
 use to manage Keyman keyboard packages.

Package: keyman
Architecture: all
Depends: ${misc:Depends}, python3-keyman-config
Description: Type in your language with Keyman for Linux
 Install, uninstall and view information about Keyman keyboard
 packages.
 .
 This package installs all that is needed for using Keyman
 for Linux.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=keyman-config
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/keyman-config/

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

=== debian/watch ===
version=4
https://downloads.keyman.com/linux/(?:beta|stable)/(\d\S+)/keyman_config-(.+)\.tar\.gz debian uupdate

## keyman-config 14.0.276

=== debian/changelog ===
keyman-config (14.0.276-2) experimental; urgency=medium

  * Team upload
  * Add libglib2.0-bin to keyman Depends (closes: #990226)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 23 Jun 2021 15:28:27 +0200

keyman-config (14.0.276-1) experimental; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 11 Jun 2021 14:43:46 +0200

keyman-config (14.0.273-1) experimental; urgency=medium

  * Keyman 14

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 26 Apr 2021 18:24:41 +0200

keyman-config (11.0.103-3) unstable; urgency=medium

  * Update maintainer to Debian Input Method Team

 -- Daniel Glassey <wdg@debian.org>  Tue, 15 Jan 2019 17:35:50 +0700

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
export PYBUILD_NAME=keyman-config
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/keyman-config/

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

override_dh_auto_build:
	make man
	sed -i -e "s/^__pkgversion__ = \"\"/__pkgversion__ = \"$(DEB_VERSION)\"/g" keyman_config/version.py
	make compile-po
	dh_auto_build $@

override_dh_auto_install:
	install -d $(CURDIR)/debian/keyman/usr/share/
	cp -r locale/ $(CURDIR)/debian/keyman/usr/share/
	rm $(CURDIR)/debian/keyman/usr/share/locale/*.po*
	dh_auto_install $@

## keyman-config 14.0.287

=== debian/changelog ===
keyman-config (14.0.287-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 11 Mar 2022 12:32:34 +0100

keyman-config (14.0.284-3) unstable; urgency=medium

  * Team upload
  * No-change rebuild against python-requests-cache 0.9.1-1
    - The build of keyman-config 14.0.284-1 failed. Hopefully we'll be
      more lucky this time.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 19 Jan 2022 12:50:32 +0100

keyman-config (14.0.284-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 14 Jan 2022 18:00:21 +0100

keyman-config (14.0.283-2) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 02 Dec 2021 12:02:35 +0100

keyman-config (14.0.282-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 29 Sep 2021 12:47:28 +0200

keyman-config (14.0.280-1) unstable; urgency=medium

  * New upstream release
  * Re-release to Debian

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 23 Aug 2021 17:38:22 +0200

=== debian/control ===
Source: keyman-config
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Keyman team <support@keyman.com>,
 Eberhard Beilharz <eb1@sil.org>,
Build-Depends:
 bash-completion,
 debhelper (>= 11),
 dh-python,
 gir1.2-webkit2-4.0,
 help2man,
 ibus,
 python3-all (>= 3.5),
 python3-gi,
 python3-lxml,
 python3-magic,
 python3-numpy,
 python3-pil,
 python3-pip,
 python3-qrcode,
 python3-sentry-sdk | python3-raven,
 python3-requests,
 python3-requests-cache,
 python3-setuptools,
Standards-Version: 4.5.1
Vcs-Git: https://github.com/keymanapp/keyman.git
Vcs-Browser: https://github.com/keymanapp/keyman/tree/master/linux/keyman-config
Homepage: https://www.keyman.com

Package: keyman
Architecture: all
Depends:
 libglib2.0-bin,
 python3-keyman-config,
 ${misc:Depends},
Recommends:
 onboard-keyman,
Description: Type in your language with Keyman for Linux
 Keyman makes it possible for you to type in over 1,000 languages on Windows,
 macOS, Linux, iPhone, iPad, Android tablets and phones, and even instantly
 in your web browser. With the world’s most powerful keyboarding engine,
 intuitive and rapid text input is now possible in your language, and for
 over 99% of the global population’s mother tongues!
 .
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 Install, uninstall and view information about Keyman keyboard
 packages.
 .
 This package depends on all that is needed for using Keyman
 for Linux.

Package: python3-keyman-config
Section: python
Architecture: all
Depends:
 dconf-cli,
 gir1.2-webkit2-4.0,
 ibus-keyman,
 kmflcomp (>=10.99.33),
 python3-bs4,
 python3-gi,
 python3-sentry-sdk | python3-raven,
 ${misc:Depends},
 ${python3:Depends},
Description: Keyman for Linux configuration
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 Python module to install, uninstall and view information about Keyman
 keyboard packages.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_build:
 	make man
-	sed -i -e "s/^__pkgversion__ = \"\"/__pkgversion__ = \"$(DEB_VERSION)\"/g" keyman_config/version.py
+	sed -i -e "s/^__pkgversion__ = \"[^\"]*\"/__pkgversion__ = \"$(DEB_VERSION)\"/g" keyman_config/version.py && \
 	make compile-po
 	dh_auto_build $@
